Subject: [16ng] Fwd: I-D ACTION:draft-madanapalli-ipv6-over-802.16-ipv6cs-00.txt

From: "Syam Madanapalli" <[email-masked]>
Date: Fri, 16 Jun 2006 12:01:17 +0530

Please review and provide comments/suggestions to improve the draft.

Thanks,
Syam

---------- Forwarded message ----------
From: [email-masked] < [email-masked]>
Date: Jun 16, 2006 4:20 AM
Subject: I-D ACTION:draft-madanapalli-ipv6-over-802.16-ipv6cs-00.txt
To: [email-masked]

A New Internet-Draft is available from the on-line Internet-Drafts directories.

       Title           : Transmission of IPv6 over 802.16's IPv6
Convergence Sublayer
       Author(s)       : S. Madanapalli, et al.
       Filename        : draft-madanapalli-ipv6-over-802.16-ipv6cs-00.txt
       Pages           : 20
       Date            : 2006-6-15

IEEE 802.16d and 802.16e are air interface specifications for fixed
and mobile broadband wireless access systems. 802.16d/e is the air
interface that is used in the WiMAX (Worldwide Interoperability of
Microwave Access) architecture and specified by the WiMAX forum.
This document defines the operation of IPv6 over the IPv6 convergence
sublayer of 802.16d/e within the scope of the WiMAX network
architecture.  It specifies various aspects of IPv6 such as neighbor
discovery, address configuration, Path MTU and the transmission/
receiving of IPv6 packets.

A URL for this Internet-Draft is:
http://www.ietf.org/internet-drafts/draft-madanapalli-ipv6-over-802.16-ipv6cs-00.txt

---

From: Myung-Ki Shin <[email-masked]>
Date: Mon, 19 Jun 2006 13:43:12 +0900

Syam,

I reviewed draft-madanapalli-ipv6-over-802.16-ipv6cs-00.txt.
This document defines the operation of IPv6 over the IPv6 convergence
sublayer of 802.16d/e within the scope of the WiMAX network
architecture.

As you know, a similar document has been almost completed/released by
WiMAX NWG IPv6 subteam - Stage 3: IPv6 operation over IP CS.

In fact, there is no big difference with the WiMAX document.
Can you explain the differences ?
I think we don't need to have the same - two documents.

As you see, IEEE 802.16 are limited to Layers 1 and 2,
they may be used within any number of network architectures as well as
WiMAX , e.g., WiBro - Korean efforts, or DSL replacement scenarios, etc.
I think a broader view is required for IETF draft.

Also, you need to refer to a draft which covers a set of deployment 
scenarios of 802.16 technologies -
draft-ietf-v6ops-802-16-deployment-scenarios-00.

Thanks,
Myung-Ki,
-- 
=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
Myung-Ki Shin, Ph.D.| [email-masked]
ETRI/PEC            | 161 Gajeong-dong Yuseong-gu
Tel:+82-42-860-4847 | Daejeon, 305-350 Korea

Syam Madanapalli wrote:
> _______________________________________________
> 16ng mailing list
> [email-masked]
> http://eeca16.sogang.ac.kr/mailman/listinfo/16ng
>

---

From: "Syam Madanapalli" <[email-masked]>
Date: Mon, 19 Jun 2006 11:19:33 +0530

> I reviewed draft-madanapalli-ipv6-over-802.16-ipv6cs-00.txt.

Thanks for the review.

> I think we don't need to have the same - two documents.

Yes, this draft is based on the NWG subteam work in WIMAX Forum.
WiMAX forum referes to this doument if IETF publishes it. So there
will be only one document.

> I think a broader view is required for IETF draft.

Sure. But where is the WiBro or any other architecure document so that we
can think of a solution?

> draft-ietf-v6ops-802-16-deployment-scenarios-00.

I just glanced this draft. Will you please let me know where this scenarios
are coming from (WiMAX/WiBro etc) and references?

Thanks,
Syam

---

From: Myung-Ki Shin <[email-masked]>
Date: Mon, 19 Jun 2006 15:33:49 +0900

> will be only one document.

   Okay,

> Sure. But where is the WiBro or any other architecure document so that we

   I think that one of roles of 16ng is to find and define other IP
   network architectures for 802.16.

   As for the WiBro, we plan to release the document -
   "IPv6 operations over WiBro - Phase I" on September.

   Also, we needs to study ISPs' view (or plan) who want to deploy 802.16
   access technology with IPv6 (e.g., DSL replacement or hot zone
   scenarios ). (But, there are no concrete references yet.)

   Thanks,
   Myung-Ki,

---

From: "Sangjin Jeong" <[email-masked]>
Date: Mon, 19 Jun 2006 16:39:33 +0900

Hello, Syam,

> will be only one document.

Do we need to produce almost same document as WiMAX NWG's? 
I think that we do not have to focus on WiMAX network model. 
The WiMAX network model is one of the possible solutions, NOT the ONLY one.

Therefore, in this WG, we need to more carefully investigate possible network deployment
scenarios and add some features which are not provided in NWG's document, for example, 
how to support IPv6 multicast capability over 802.16 link, and so on.  

Regards,

- Sangjin

---

From: Sungjin Lee <[email-masked]>
Date: Mon, 19 Jun 2006 16:39:56 +0900

Dear MK Shin,

I got a number of questions on your reply comments.

1) Would you please specify which group or who is drafting "IPv6 operations
over WiBro - Phase I"? 

2) The I-D on 'IP deployment over IEEE 802.15 networks' is schedule to be
submitted in Feb 2007 and it is the last planned draft on the Goals and
Milestones. In my understanding your reply comment, the deployment scenario
should be drafted first than other I-Ds . Am I correct? 

3) The goal you concerned, 'find and define other IP network architectures
for 802.16.' ,is your personal view or the goal to be included in the
Charter at next update? 

If I am missing something, please excuse me for that I have not traced all
of past discussion on this reflector.  :)

Best Regards,

Sungjin Lee 
 
Advanced Research Lab. 
Global Standards & Research Team 
Telecommunication R&D Center 
Samsung Electronics 
 
OFFICE : +82 31 279 5248 
MOBILE : +82 11 223 6603
E-mail : [email-masked] [email-masked]
 
-----Original Message-----
From: [email-masked]
[mailto:[email-masked]] On Behalf Of Myung-Ki Shin
Sent: Monday, June 19, 2006 3:34 PM
To: Syam Madanapalli
Cc: [email-masked]
Subject: Re: [16ng] Fwd:
I-DACTION:draft-madanapalli-ipv6-over-802.16-ipv6cs-00.txt

   Okay,

   Thanks,
   Myung-Ki,

---

From: Myung-Ki Shin <[email-masked]>
Date: Mon, 19 Jun 2006 17:15:00 +0900

> 1) Would you please specify which group or who is drafting "IPv6 operations

   This work is being drafting by (Korean) TTA PG 210 - IPv6 over WiBro
   subgroup. Contact - [email-masked].

   Daniel also knows the work.

> should be drafted first than other I-Ds . Am I correct? 

   That might be one of my thoughts I wanted,
   but I'm not sure at this time.
   Actually, I just want to say "IETF 16ng draft has broader view
   rather than that of WiMAX, since current WiMAX is one of L3
   implementation of 802.16. So, we need to investigate more possible
   architectures".
   I think this architecture/network model issues can be also defined
   within each drafts (e.g., IPv6 over IPv6 CS ...)

> for 802.16.' ,is your personal view or the goal to be included in the

   See above.

Thanks,
Myung-Ki,

---

From: "Syam Madanapalli" <[email-masked]>
Date: Mon, 19 Jun 2006 15:57:44 +0530

Hello Sangjin,

> Do we need to produce almost same document as WiMAX NWG's?

As there were no recommendation from IETF, WiMAX Forum NWG is currently
specifying this. Once IETF defines the IPv6 over 802.16, NWG just uses the
specification and will not do any work on this. This is my understanding.

> The WiMAX network model is one of the possible solutions, NOT the ONLY one.

Sure, but where do we get other models from? If we consider many possible
deployment scenarios (which may not be deployed in practice) the solution
may become complex and inefficient.

If there is a need to consider other other network models, we can definitely
do it.

> how to support IPv6 multicast capability over 802.16 link, and so on.

I am not sure if the on-link multicast support is useful, especially
on air-link,
which is connection oriented nature.

Or you mean multicast services over 802.16 e.g. video multicast etc?

Thank you,
Syam

---

From: Behcet Sarikaya <[email-masked]>
Date: Mon, 19 Jun 2006 09:21:55 -0700 (PDT)

Hi Myungki,

----- Original Message ----
From: Myung-Ki Shin <[email-masked]>
To: Syam Madanapalli <[email-masked]>
Cc: [email-masked]
Sent: Sunday, June 18, 2006 11:43:12 PM
Subject: Re: [16ng] Fwd: I-D ACTION:draft-madanapalli-ipv6-over-802.16-ipv6cs-00.txt

Syam,

==> This is an interesting point. However, I am confused on what to do about it.
==>draft-madanapalli has Relay DAD which is a replacement of Proxy DAD because Proxy
==>DAD violates SeND, Relay DAD has far reaching applications including in 6lowpan networks (?).
==> Should Relay DAD be written as a separate draft? If yes, would this solve the concern
==>Myungki expressed?
As you see, IEEE 802.16 are limited to Layers 1 and 2,
they may be used within any number of network architectures as well as
WiMAX , e.g., WiBro - Korean efforts, or DSL replacement scenarios, etc.
I think a broader view is required for IETF draft.

Thanks,
Myung-Ki,

==> Regards,
==>--behcet

---

From: "Sangjin Jeong" <[email-masked]>
Date: Tue, 20 Jun 2006 14:08:38 +0900

> Sure, but where do we get other models from? If we consider many possible

That's what we have to do in this WG from now on. Did we reach any WG consensus about 
limiting the scope of 16ng WG deliverables to the scope of WiMAX NWG?
I do not think so. The 16ng WG chater does not define 16ng WG' scope as a
subset of NWG's. 

> which is connection oriented nature.

As stated in the 16ng PS document, it is desirable to have multicast support.
I am citing the PS document. 
"it is desirable to have a model for multicast/broadcast support in 802.16 so that an SS 
can send a multicast packet to all SSes within an IP link".
Also, the transmission of multicast data packet is to be considered.

Regards,
- Sangjin

---

From: "Syam Madanapalli" <[email-masked]>
Date: Wed, 21 Jun 2006 10:04:10 +0530

Hi Sangjin,

[cut]
> I do not think so. The 16ng WG chater does not define 16ng WG' scope as a

Yes, we can think of all possible network models that have practical use.
But somebody should come up with those models based on real requirements,
so that 16ng can work on solution. If we can come up with a solution for all
such networks that will be good, otherwise we will have multiple proposals.

Thanks,
Syam

---

From: Soohong Daniel Park <[email-masked]>
Date: Wed, 21 Jun 2006 22:48:22 +0900

>   subgroup. Contact - [email-masked].

As far as I am concern, this work is too much tough to
be referred to16ng. If anyone from subgroup above
believe that we should consider something in terms of
IPv6 over WiBro, please bring a presentation into 16ng
meeting. Then, we will have further details in Montreal.

Otherwise, we won't be able to sense what should be
considered in 16ng. Any volunteer from your subgroup ?

Regards.

Daniel (Soohong Daniel Park)
Mobile Convergence Laboratory, SAMSUNG Electronics.

---

From: "Hongseok Jeon" <[email-masked]>
Date: Thu, 22 Jun 2006 21:20:57 +0900

Hi, Syam.

I reviewed your draft. 
The Relay DAD is a good approach in terms of resource constraints of 
radio resource and adopting SEND. I think, however, the Authoritative 
Address Cache is still vulnerable to malicious SSs, who reserve 
several IP addresses intentionally. Because NS has unspecified address 
as its source address and AR cannot be known who send the NS at the 
IP layer. 

You mentioned "AR is aware at the lower layer the identity of the 
host performing the DAD" in Security Considerations section. 

The mentioned host identity at the lower layer is CID ?

If so, as I know, the CID is a unique number just under the BS, 
not under AR. So, there can be same CIDs under the AR. 

Regards,
Hongseok

---

From: "Syam Madanapalli" <[email-masked]>
Date: Mon, 26 Jun 2006 10:55:03 +0530

Hi Hongseok,

On 6/22/06, Hongseok Jeon <[email-masked]> wrote:
> radio resource and adopting SEND.

Thank you.

> I think, however, the Authoritative

There will be a tunnel for each MS between BS and AR. so I do not
think it is difficult to know which MS is configuring the current address.
If there is no tunnel per MS, there is no way that we could send either
initial RA or DAD NA back to the MS.
when an MS solicits. Also

> The mentioned host identity at the lower layer is CID ?

No, it is MS ID (MAC Address).

Thanks,
Syam

---

From: Behcet Sarikaya <[email-masked]>
Date: Mon, 26 Jun 2006 09:45:33 -0700 (PDT)

Hi Syam,
  My concerns on the relay DAD are the following:
1. Relay DAD originates in 6lowpan, see this link (section 7):
http://www.ietf.org/internet-drafts/draft-chakrabarti-6lowpan-ipv6-nd-01.txt
this draft was not even referenced in your draft :)?
2. Relay DAD is based on involving the address owner, e.g. MS2 in Fig. 7 of your draft and MS2 could be in dormant mode and it would need to be paged and so on.
In 6lowpan networks this could be OK because the sensor nodes are sleeping most of the time and there is no paging.

What do you think?

Regards,

--behcet

----- Original Message ----
From: Syam Madanapalli <[email-masked]>
To: Hongseok Jeon <[email-masked]>
Cc: [email-masked]
Sent: Monday, June 26, 2006 12:25:03 AM
Subject: Re: [16ng] Fwd: I-DACTION:draft-madanapalli-ipv6-over-802.16-ipv6cs-00.txt

Hi Hongseok,

Thank you.

Thanks,
Syam

---

From: "Syam Madanapalli" <[email-masked]>
Date: Mon, 26 Jun 2006 23:15:41 +0530

Hi Behcet,

> this draft was not even referenced in your draft :)?

I have never read the draft. So I did not know that I need to refer to
this draft.
I have proposed initially to do the proxy DAD in Dallas meeting but Erik
(now one of the authors) suggested relaying DAD probes to the actual address
owner, so that we comply with SeND. Otherwise the concept of omniscient
router with address cache to help the DAD procedures has been developed
independently based on WiMAX Architecture.

If majority of the people feels that we could have a draft to just talk about
DAD procedures in networks without multicast support which can be used
in both 6LoPAN and 16ng WGs, I am open for that.

> 2. Relay DAD is based on involving the address owner, e.g. MS2 in Fig. 7 of
> your draft and MS2 could be in dormant mode and it would need to be paged
> and so on.

Even I did not like it for the same reason you mentioned, but looking
at the very
very low probability of address collision, I think it is OK to do paging.

The other proposal that I have made is to do the counter DAD from the AR.
Let us say MS1 configures same address as MS2 and starts DAD procedures/
AR looks into its address cache and finds that the address is duplicate and
initiates DAD procedures for the same address as if it is also configuring the
same address, and the DAD NS is sent to only MS1. When MS receives the
DAD NS for the same address that it is trying configure, it discards
the address.

But we (authors) could not dig further and see if this is compliant with SeND.
Even if this Send compliant, it may be new security threat that SeND has not
solved currently.

Thank you,
Syam

> > Subject: [16ng] Fwd:
> > > Subject: I-D
> ACTION:draft-madanapalli-ipv6-over-802.16-ipv6cs-00.txt
> > >       Filename        :
> draft-madanapalli-ipv6-over-802.16-ipv6cs-00.txt
> > >       Pages           : 20
> > >       Date            : 2006-6-15
> > >

---

From: "Junghoon Jee" <[email-masked]>
Date: Tue, 27 Jun 2006 11:24:54 +0900

Hello,
I would like to have your valuable opinions about "IP Subnet model
over 802.16".

First of all, let's stick the use of terminology of "IP Subnet" and
"Link" 
as mentioned by Dave from
[draft-thaler-intarea-multilink-subnet-issues-00.txt].

Here is the terminology definition from the draft.
----------------------------------------------------------------------
  The term "link" is generally used to refer to a topological area 
   bounded by routers which decrement the IPv4 TTL or IPv6 Hop Limit 
   when forwarding the packet.  A link-local address prefix is defined

   in both IPv4 [RFC3927] and IPv6 [RFC3513]. 

   The term "subnet" is generally used to refer to a topological area 
   that uses the same address prefix, where that prefix is not further

   subdivided except into individual addresses. 
----------------------------------------------------------------------
-

I think there are two ways in configuring an IP subnet over 802.16
networks.

a. Ethernet like Subnet Model
- SSs share the same global address prefix.
- All SSs under an IP Gateway are neighbors.

b. 3G like Subnet Model
- SSs do not share the same global address prefix.
- Only the IP Gateway is neighbor.

Currently, we are considering two convergence sublayers, IP CS and
Ethernet CS.
I feel the need to take consideration of which IP subnet model is a
feasible/appropriate/preferable one depending on the CS used.

Let me share my rough thought on this point for each CS considered.

1. IP CS case:
a. Ethernet like subnet model
- Multilink subnet issues need to be considered.
b. 3G like subnet model
- RFC 3314 might be applicable
- We do not have PPP CS here.
- Is there any client who needs a solution for this case?

2. Ethernet CS case:
- Ethernet like subnet model seems appropriate by providing a bridge
functionality to the BS.

Any comments and thoughts?

Best Regards,
-Junghoon

---

From: "Junghoon Jee" <[email-masked]>
Date: Tue, 27 Jun 2006 11:48:01 +0900

Hello,

there was a mention about DHCPv4/DHCPv6 in the
draft-jee-16ng-ps-goals-00.txt
IMHO, even if the DHCP protocol assumes the underlying broadcastable
media,
not so sure whether the adopting of DHCP protocol over 802.16 is
really an issue here.
Because, only with the unicastable channel between a SS and IP gateway
where DHCP server 
or relay can reside, DHCP can work well over 802.16 network.
Only issue which is still valid I can guess is related with the DAD
mechanism of DHCP which is optional feature though.

Best Regards,
-Junghoon

---

From: "Syam Madanapalli" <[email-masked]>
Date: Tue, 27 Jun 2006 09:08:02 +0530

> or relay can reside, DHCP can work well over 802.16 network.

Yes, having DHCP Relay/Server in AR (ASN GW in WIMAX) is the solution.

> mechanism of DHCP which is optional feature though.

Are you talking about performing DAD for the addresses obtained through
DHCP? I think it is mandatory to perform the DAD irrespective how the address
is obtained (stateless autoconfiguration, manual configuration, stateful
configuration).

Thanks,
Syam

---

From: "Junghoon Jee" <[email-masked]>
Date: Tue, 27 Jun 2006 13:24:30 +0900

> From: Syam Madanapalli [mailto:[email-masked]] 
> Sent: Tuesday, June 27, 2006 12:38 PM
> To: Junghoon Jee
> Subject: Re: [16ng] DHCP issues over 802.16?
> 
> 
> > draft-jee-16ng-ps-goals-00.txt IMHO, even if the DHCP 
> protocol assumes 
> > the underlying broadcastable media, not so sure whether the 
> adopting 
> > of DHCP protocol over 802.16 is really an issue here.
> > where DHCP server or relay can reside, DHCP can work well 
> over 802.16 
> > network.
> 

Need to check, could we describe this issue as a *problem* in
deploying DHCP over 802.16 network?

> Are you talking about performing DAD for the addresses 
> obtained through DHCP? I think it is mandatory to perform the 
> DAD irrespective how the address is obtained (stateless 
> autoconfiguration, manual configuration, stateful configuration).

I was thinking about that the use of ARP for DHCPv4 DAD is an option
not the only choice.

-Junghoon

---

From: Julien Laganier <[email-masked]>
Date: Tue, 27 Jun 2006 14:04:24 +0200

Hi Syam,

<draft-madanapalli-ipv6-over-802.16-ipv6cs-00.txt> says that from the 
point of view of an MS, other MSs attached to same BS are never 
on-link (at least that's my understanding):

6.3.  IPv6 Prefix Assignment

   The IPv6 link between MSs and the AR is a shared link.  An IPv6
   prefix is shared by all the nodes which are on the same link.  The
   prefix is assigned to the nodes with On-link flag (L-flag) reset so
   that the nodes may not make on-link assumption for the addresses
   whose prefix matches with sending node prefix.

And consequently why the AR is always the next hop:

7.4.  Next-Hop Determination

   The Next-hop for an MS is always the AR and so Next-Hop resolution
   may be trivial.  An intelligent/future implementation of a host may
   choose not to do the next-hop determination if the access 
   technology is 802.16d/e.

The two paragraphs above are consistent. However then I wonder why it 
is said that "it appears to an MS that it can reach any other MS on 
the same link directly" :

5.1.  On-link communication

   The IPv6 link is a shared link.  Hence from that perspective it
   appears to an MS that it can reach any other MS on the same link
   directly.  However in reality the lower-layer is a point-to-point
   link and all IPv6 packets between hosts that are on the same IPv6
   link have to be transmitted via the AR.  Packets originated by an 
   MS always are sent to the AR for delivery to a destination.  When
   the destination is another MS which is on the same IPv6 link, the
   AR sends the packet unchanged to the destination MS, i.e. the AR
   does not decrement the hop limit while forwarding the packet within
   the link.

I think a router shall decrement the hop limit in all cases, 
regardless of the destination having same prefix or not, or same BS. 
That would be consistent with the two paragraphs I cited before.

This is related to the question asked by Junghoon below:

On Tuesday 27 June 2006 04:24, Junghoon Jee wrote:
> -------------------------------------------------------------------
> The term "subnet" is generally used to refer to a topological
> area that uses the same address prefix, where that prefix is not
> further subdivided except into individual addresses.
> -------------------------------------------------------------------
>

BTW Junghoon, don't you think that there is also case c. hybrid:
   - SSs share the same global address prefix.
   - Only the IP Gateway is neighbor.

Which would match the situation described in Syam's draft minus the 
"AR doesn't decrease TTL when two of its BSs exchange packets" part ?

I have also a related question regarding Relay DAD:

On Monday 26 June 2006 19:45, Syam Madanapalli wrote:
>
> [...]
>
> I have proposed initially to do the proxy DAD in Dallas meeting but
> Erik (now one of the authors) suggested relaying DAD probes to the
> actual address owner, so that we comply with SeND. Otherwise the
> concept of omniscient router with address cache to help the DAD
> procedures has been developed independently based on WiMAX
> Architecture.
>
> If majority of the people feels that we could have a draft to just
> talk about DAD procedures in networks without multicast support
> which can be used in both 6LoPAN and 16ng WGs, I am open for that.

In a draft I co-author (available there until it shows up in ID rep: 
(<http://julien.laganier.free.fr/draft-ietf-netlmm-mn-ar-if-01.txt) 
we have more or less the same situation (i.e. AR advertize prefix 
with On-link flag reset, all packets sent by BSs go through AR, and 
AR relay DAD.) 

The relay DAD part was needed to support SEND, otherwise we could just 
have proxyed ND.

This leads me to the following question: cannot all of this 
functionality be factorized into a single document describing "Relay 
DAD to support SEND on non-multicast links" ?

Thanks,

--julien

---

From: "Junghoon Jee" <[email-masked]>
Date: Wed, 28 Jun 2006 02:38:00 +0900

Hello Julien and Syam,
Please find comments and replies in line.

----- Original Message ----- 
From: "Julien Laganier" <[email-masked]>
To: "Syam Madanapalli" <[email-masked]>
Cc: <[email-masked]>; "Junghoon Jee" <[email-masked]>; "Erik Nordmark" <[email-masked]>
Sent: Tuesday, June 27, 2006 9:01 PM
Subject: Questions on draft-madanapalli-ipv6-over-802.16-ipv6cs-00.txt

> on-link (at least that's my understanding):

Yes, those MSs reside on the separate L2 links with different CIDs.
> And consequently why the AR is always the next hop:

For clarification, those MSs are on the different L2 "LINKs" having the same IP "Subnet" prefix.

> That would be consistent with the two paragraphs I cited before.

I tend to agree with Julien's observation here.
Isn't this a strange IP routing stack behavior if it would not decrement the hop limit when forwarding an IP packet?

>   - Only the IP Gateway is neighbor.

Maybe, here is an implication that "L bit off and A bit on" might be a possible choice.
Not so sure at this stage. I think we need to carefully investigate the multilink subnet issues here.

Best Regards,
-Junghoon

---

From: Behcet Sarikaya <[email-masked]>
Date: Tue, 27 Jun 2006 12:49:33 -0700 (PDT)

Hi Syam,

----- Original Message ----
From: Syam Madanapalli <[email-masked]>
To: Behcet Sarikaya <[email-masked]>
Cc: Hongseok Jeon <[email-masked]>; [email-masked]
Sent: Monday, June 26, 2006 12:45:41 PM
Subject: Re: [16ng] Fwd: I-DACTION:draft-madanapalli-ipv6-over-802.16-ipv6cs-00.txt

Hi Behcet,

But we (authors) could not dig further and see if this is compliant with SeND.
Even if this Send compliant, it may be new security threat that SeND has not
solved currently.
==> This sounds good to me, we can work on the counter DAD.
==>I hope this is going to lead us to a solution and then we can let Relay DAD be used
==>in 6lowpan.
==>Hopefully this is going to resolve the current chaotic situation around Relay DAD, i.e.
==>there are currently 3 drafts on it.
==>Regards,
==>--behcet

---

From: Soohong Daniel Park <[email-masked]>
Date: Thu, 20 Jul 2006 11:21:03 -0700

Eunkyoung and other folks concerned,

I  am catching up with this subject presented in Montreal.

In fact, it is still not clear to me what difference and gap are
to be considered in 16ng working group in terms of IPv6 over
WiBro. It seems most likely similar to IPv6 over WiMAX effort.
A week back, you said you folks expect 16ng working group
to refer to this document likely WiMAX specification. After
looking at the TOC of the document, however, I failed to
see any explicit differences from WiMAX specification...

I need to sense what should be done by 16ng working group
perspective. If any, 16ng will do further works on that. But, if
not, we may don't care about it at all. Please speak up if any.

Hopefully, I'd like to see this issue in our interim.

Regards,

----- Original Message ----- 
From: 백은경 
To: Soohong Daniel Park ; [email-masked] 
Sent: Thursday, June 22, 2006 3:24 AM
Subject: RE: [16ng] IPv6 over WiBro

Hi Daniel,

We can present the work of TTA PG 210 - IPv6 over WiBro 
subgroup in the next IETF meeting in Montreal, so that 16ng 
can refer this work. Please assign a slot.

Regards,
Eun Kyoung PAIK and Youn-hee HAN
Co-chairs
TTA PG 210 - IPv6 over WiBro subgroup

---

From: "YounHee Han" <[email-masked]>
Date: Fri, 21 Jul 2006 10:47:19 +0900

Let me explain this.

As you know, some key players for 'IPv6 over IEEE802.16'
attend both IETF 16ng and WiMax NWG, and some of them
also contribute the standardization of 'IPv6 over WiBro'.
So, it is quite natural that there seems to be little difference
between each result of them.

As you feel the similarity between WiMax's IPv6 specification
and WiBro's IPv6 specification, many people are also concerned
about the similarity between 16ng's results and WiMax's IPv6
specification. Actually, I can't discriminate between 'draft-madanapalli
-ipv6-over-802.16-ipv6cs-00' and WiMax's IPv6 specification.

As you know well, WiBro uses almost same technology as WiMax,
except the branding is different because they didn't want to wait for
the IEEE and WiMax standard to be finalized and risked using the
draft version instead. And, it is an undeniable fact that WiBro is
*the first* commercial service based on IEEE 802.16d/e.
So, even though WiBro's IPv6 specification looks similar to WiMax's
one, all efforts for WiBro IPv6 specification will not go for nothing.
It will include the technical stuffs about IPv6 operation and deployment
over IEEE 802.16d/e in viewpoint of *real commercial service*.

- Younhee

-- 
-------------------------------------------------------------------
Youn-Hee Han, Ph.D.
Fulltime Lecturer, School of Internet-Media,
Korea University of Technology and Education
Tel: +82-41-560-1486, +82-10-3912-0900
Homepage: http://ime.kut.ac.kr/yhhan
E-mail: mailto:[email-masked], mailto:[email-masked]
-------------------------------------------------------------------
_______________________________________________
16ng mailing list
[email-masked]
http://eeca16.sogang.ac.kr/mailman/listinfo/16ng

---

From: Soohong Daniel Park <[email-masked]>
Date: Thu, 20 Jul 2006 23:08:32 -0700

Younhee,

You are missing what I pointed out at the 
previous email.

<cochair hat-on>

>From the 16ng working group perspective, 
obviously we need a technical discussion
regarding IPv6 over xxxx (WiBro/WiMAX..).
It is because the16ng wants to have further
details regarding IPv6 operation. We don't 
need that sort of informational talks any 
more (e.g., real commercial service..So?).

Also, why you are saying 16ng results are 
similar with WiMAX specification ?  Is there 
any 16ng results ? The 16ng was charterd a 
couple of weeks back. Look our charter;
http://www.ietf.org/html.charters/16ng-charter.html

No Current Internet-Drafts

No Request For Comments

So, don't say that.

<cochair hat-off>

If you have any concern to be done by the
16ng working group in terms of IPv6 over WiBro, 
raise the awareness of those concerns in this 
list. That is why I tried to trigger this thread on 
the 16ng mailing list before Interim. If not, pls
discard my comments silently. That's it.

Hope this helps.

----- Original Message ----- 
From: YounHee Han 
To: Soohong Daniel Park 
Cc: [email-masked] 
Sent: Thursday, July 20, 2006 6:47 PM
Subject: Re: [16ng] Pv6 over WiBro vs. WiMAX

Let me explain this.

Regards,

----- Original Message -----
From: 백은경
To: Soohong Daniel Park ; [email-masked]
Sent: Thursday, June 22, 2006 3:24 AM 
Subject: RE: [16ng] IPv6 over WiBro

Hi Daniel,

Regards,